## r-cran-haven 1.1.1

=== DESCRIPTION ===
Package: haven
Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
Version: 1.1.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Evan", "Miller", 
      role = c("aut", "cph"),
      comment = "Author of included ReadStat code"
    ),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Import foreign statistical formats into R via the embedded
    'ReadStat' C library, <https://github.com/WizardMac/ReadStat>.
License: MIT + file LICENSE
URL: http://haven.tidyverse.org, https://github.com/tidyverse/haven,
        https://github.com/WizardMac/ReadStat
BugReports: https://github.com/tidyverse/haven/issues
Depends: R (>= 3.1)
Imports: forcats (>= 0.2.0), hms, Rcpp (>= 0.11.4), readr (>= 0.1.0),
        tibble
Suggests: covr, knitr, rmarkdown, testthat
LinkingTo: Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2018-01-17 20:37:09 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Evan Miller [aut, cph] (Author of included ReadStat code),
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-01-18 10:31:31 UTC

## r-cran-haven 1.1.0

=== debian/changelog ===
r-cran-haven (1.1.0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #880939)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 05 Nov 2017 15:49:14 -0600

=== debian/control ===
Source: r-cran-haven
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
Standards-Version: 4.1.1
Homepage: https://github.com/tidyverse/haven

Package: r-cran-haven
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
Description: GNU R package to import/export SPSS, Stata and SAS files
 The goal of 'haven' is import foreign statistical formats into R via
 the embedded 'ReadStat' C library.

## r-cran-haven 1.1.1

=== debian/changelog ===
r-cran-haven (1.1.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Jan 2018 20:08:22 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
+Standards-Version: 4.1.3
 Homepage: https://github.com/tidyverse/haven
 
 Package: r-cran-haven

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-haven package
# Copyright 2003-2017 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-haven 1.1.2

=== debian/changelog ===
r-cran-haven (1.1.2-1) unstable; urgency=medium

  * New upstream release

  * debian/patches/series: Comment out upstream_fix now in new release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Jul 2018 17:21:58 -0500

r-cran-haven (1.1.1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

  * src/readstat/sas/readstat_sas7bcat_read.c: Upstream ReadStat patch 
  * src/readstat/spss/readstat_sav.c: Idem
  * src/readstat/spss/readstat_sav_read.c: Idem
  							(Closes: #899335)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jun 2018 21:11:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
-Standards-Version: 4.1.3
-Homepage: https://github.com/tidyverse/haven
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
+Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
+Homepage: https://cran.r-project.org/package=haven
 
 Package: r-cran-haven
 Architecture: any

## r-cran-haven 2.0.0

=== debian/changelog ===
r-cran-haven (2.0.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Nov 2018 18:49:46 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.1.0

=== DESCRIPTION ===
Package: haven
Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
Version: 2.1.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Evan",
             family = "Miller",
             role = c("aut", "cph"),
             comment = "Author of included ReadStat code"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Import foreign statistical formats into R via the
    embedded 'ReadStat' C library,
    <https://github.com/WizardMac/ReadStat>.
License: MIT + file LICENSE
URL: http://haven.tidyverse.org, https://github.com/tidyverse/haven,
        https://github.com/WizardMac/ReadStat
BugReports: https://github.com/tidyverse/haven/issues
Depends: R (>= 3.1)
Imports: forcats (>= 0.2.0), hms, Rcpp (>= 0.11.4), readr (>= 0.1.0),
        tibble
Suggests: covr, fs, knitr, rmarkdown, testthat, pillar (>= 1.1.1), cli,
        crayon
LinkingTo: Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2019-02-15 16:00:21 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Evan Miller [aut, cph] (Author of included ReadStat code),
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-02-19 08:40:03 UTC

=== debian/changelog ===
r-cran-haven (2.1.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 16 May 2019 16:21:16 +0200

r-cran-haven (2.1.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Feb 2019 08:08:23 -0600

r-cran-haven (1.1.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Remove unneeded versioned Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 16 Sep 2018 07:28:40 +0200

r-cran-haven (1.1.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 16:11:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), r-base-dev, dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.1.1

=== debian/changelog ===
r-cran-haven (2.1.1-2) unstable; urgency=medium

  * Source-only upload

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 09:33:43 -0500

r-cran-haven (2.1.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jul 2019 11:24:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev, dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: haven
 Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
-Version: 2.1.0
+Version: 2.2.0
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -19,10 +19,10 @@
 URL: http://haven.tidyverse.org, https://github.com/tidyverse/haven,
         https://github.com/WizardMac/ReadStat
 BugReports: https://github.com/tidyverse/haven/issues
-Depends: R (>= 3.1)
+Depends: R (>= 3.2)
 Imports: forcats (>= 0.2.0), hms, Rcpp (>= 0.11.4), readr (>= 0.1.0),
-        tibble
-Suggests: covr, fs, knitr, rmarkdown, testthat, pillar (>= 1.1.1), cli,
+        rlang (>= 0.4.0), tibble, tidyselect
+Suggests: covr, fs, knitr, rmarkdown, testthat, pillar (>= 1.4.0), cli,
         crayon
 LinkingTo: Rcpp
 VignetteBuilder: knitr
@@ -31,10 +31,10 @@
 RoxygenNote: 6.1.1
 SystemRequirements: GNU make
 NeedsCompilation: yes
-Packaged: 2019-02-15 16:00:21 UTC; hadley
+Packaged: 2019-11-07 20:13:15 UTC; hadley
 Author: Hadley Wickham [aut, cre],
   Evan Miller [aut, cph] (Author of included ReadStat code),
   RStudio [cph, fnd]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-02-19 08:40:03 UTC
+Date/Publication: 2019-11-08 06:20:22 UTC

=== debian/changelog ===
r-cran-haven (2.2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:20 +0100

r-cran-haven (2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Nov 2019 17:12:43 -0600

=== debian/control ===
Source: r-cran-haven
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
Homepage: https://cran.r-project.org/package=haven

Package: r-cran-haven
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
Description: GNU R package to import/export SPSS, Stata and SAS files
 The goal of 'haven' is import foreign statistical formats into R via
 the embedded 'ReadStat' C library.

## r-cran-haven 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: haven
 Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
-Version: 2.2.0
+Version: 2.3.1
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -20,21 +20,21 @@
         https://github.com/WizardMac/ReadStat
 BugReports: https://github.com/tidyverse/haven/issues
 Depends: R (>= 3.2)
-Imports: forcats (>= 0.2.0), hms, Rcpp (>= 0.11.4), readr (>= 0.1.0),
-        rlang (>= 0.4.0), tibble, tidyselect
+Imports: forcats (>= 0.2.0), hms, methods, Rcpp (>= 0.11.4), readr (>=
+        0.1.0), rlang (>= 0.4.0), tibble, tidyselect, vctrs (>= 0.3.0)
 Suggests: covr, fs, knitr, rmarkdown, testthat, pillar (>= 1.4.0), cli,
         crayon
 LinkingTo: Rcpp
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 SystemRequirements: GNU make
 NeedsCompilation: yes
-Packaged: 2019-11-07 20:13:15 UTC; hadley
+Packaged: 2020-06-01 14:26:57 UTC; hadley
 Author: Hadley Wickham [aut, cre],
   Evan Miller [aut, cph] (Author of included ReadStat code),
   RStudio [cph, fnd]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-11-08 06:20:22 UTC
+Date/Publication: 2020-06-01 15:00:06 UTC

=== debian/changelog ===
r-cran-haven (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Jun 2020 20:27:35 -0500

r-cran-haven (2.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 May 2020 12:14:49 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.4.3

=== DESCRIPTION ===
Package: haven
Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
Version: 2.4.3
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Evan",
             family = "Miller",
             role = c("aut", "cph"),
             comment = "Author of included ReadStat code"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Import foreign statistical formats into R via the embedded
    'ReadStat' C library, <https://github.com/WizardMac/ReadStat>.
License: MIT + file LICENSE
URL: https://haven.tidyverse.org, https://github.com/tidyverse/haven,
        https://github.com/WizardMac/ReadStat
BugReports: https://github.com/tidyverse/haven/issues
Depends: R (>= 3.2)
Imports: forcats (>= 0.2.0), hms, methods, readr (>= 0.1.0), rlang (>=
        0.4.0), tibble, tidyselect, vctrs (>= 0.3.0)
Suggests: cli, covr, crayon, fs, knitr, pillar (>= 1.4.0), rmarkdown,
        testthat (>= 3.0.0)
LinkingTo: cpp11
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: GNU make, C++11, zlib
NeedsCompilation: yes
Packaged: 2021-08-03 21:27:47 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Evan Miller [aut, cph] (Author of included ReadStat code),
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-08-04 04:50:23 UTC

=== debian/changelog ===
r-cran-haven (2.4.3-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 14:13:04 -0500

r-cran-haven (2.4.3-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Aug 2021 22:53:09 -0500

r-cran-haven (2.4.1-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Apr 2021 16:23:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/haven_([-\d\.]*)\.tar.gz

## r-cran-haven 2.5.0

=== DESCRIPTION ===
Package: haven
Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
Version: 2.5.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Evan", "Miller", role = c("aut", "cph"),
           comment = "Author of included ReadStat code"),
    person("Danny", "Smith", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Import foreign statistical formats into R via the embedded
    'ReadStat' C library, <https://github.com/WizardMac/ReadStat>.
License: MIT + file LICENSE
URL: https://haven.tidyverse.org, https://github.com/tidyverse/haven,
        https://github.com/WizardMac/ReadStat
BugReports: https://github.com/tidyverse/haven/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.0.0), forcats (>= 0.2.0), hms, lifecycle, methods,
        readr (>= 0.1.0), rlang (>= 0.4.0), tibble, tidyselect, vctrs
        (>= 0.3.0)
Suggests: covr, crayon, fs, knitr, pillar (>= 1.4.0), rmarkdown,
        testthat (>= 3.0.0)
LinkingTo: cpp11
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
SystemRequirements: GNU make, C++11, zlib: zlib1g-dev (deb), zlib-devel
        (rpm)
NeedsCompilation: yes
Packaged: 2022-04-15 15:00:04 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Evan Miller [aut, cph] (Author of included ReadStat code),
  Danny Smith [aut],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-04-15 16:02:30 UTC

=== debian/changelog ===
r-cran-haven (2.5.0-1) unstable; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Apr 2022 13:09:53 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: haven
 Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
-Version: 2.5.0
+Version: 2.5.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
     person("Evan", "Miller", role = c("aut", "cph"),
@@ -25,15 +25,15 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 SystemRequirements: GNU make, C++11, zlib: zlib1g-dev (deb), zlib-devel
         (rpm)
 NeedsCompilation: yes
-Packaged: 2022-04-15 15:00:04 UTC; hadleywickham
+Packaged: 2022-08-22 18:39:56 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Evan Miller [aut, cph] (Author of included ReadStat code),
   Danny Smith [aut],
   RStudio [cph, fnd]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-04-15 16:02:30 UTC
+Date/Publication: 2022-08-22 19:10:04 UTC

=== debian/changelog ===
r-cran-haven (2.5.1-1) unstable; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Aug 2022 15:16:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.5.2

=== debian/changelog ===
r-cran-haven (2.5.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Mar 2023 09:02:50 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

## r-cran-haven 2.5.3

=== debian/changelog ===
r-cran-haven (2.5.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Jul 2023 06:51:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git

## r-cran-haven 2.5.4

=== DESCRIPTION ===
Package: haven
Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
Version: 2.5.4
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Evan", "Miller", role = c("aut", "cph"),
           comment = "Author of included ReadStat code"),
    person("Danny", "Smith", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Import foreign statistical formats into R via the embedded
    'ReadStat' C library, <https://github.com/WizardMac/ReadStat>.
License: MIT + file LICENSE
URL: https://haven.tidyverse.org, https://github.com/tidyverse/haven,
        https://github.com/WizardMac/ReadStat
BugReports: https://github.com/tidyverse/haven/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.0), forcats (>= 0.2.0), hms, lifecycle, methods,
        readr (>= 0.1.0), rlang (>= 0.4.0), tibble, tidyselect, vctrs
        (>= 0.3.0)
Suggests: covr, crayon, fs, knitr, pillar (>= 1.4.0), rmarkdown,
        testthat (>= 3.0.0), utf8
LinkingTo: cpp11
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: GNU make, zlib: zlib1g-dev (deb), zlib-devel (rpm)
NeedsCompilation: yes
Packaged: 2023-11-30 13:28:43 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Evan Miller [aut, cph] (Author of included ReadStat code),
  Danny Smith [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2023-11-30 15:10:02 UTC

=== debian/changelog ===
r-cran-haven (2.5.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Dec 2023 06:37:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git

## r-cran-haven 2.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: haven
 Title: Import and Export 'SPSS', 'Stata' and 'SAS' Files
-Version: 2.5.4
+Version: 2.5.5
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
     person("Evan", "Miller", role = c("aut", "cph"),
@@ -25,14 +25,14 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 SystemRequirements: GNU make, zlib: zlib1g-dev (deb), zlib-devel (rpm)
 NeedsCompilation: yes
-Packaged: 2023-11-30 13:28:43 UTC; hadleywickham
+Packaged: 2025-05-30 13:09:12 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Evan Miller [aut, cph] (Author of included ReadStat code),
   Danny Smith [aut],
   Posit Software, PBC [cph, fnd]
 Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2023-11-30 15:10:02 UTC
+Date/Publication: 2025-05-30 14:10:02 UTC

=== debian/changelog ===
r-cran-haven (2.5.5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Jun 2025 16:44:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-rcpp, r-cran-readr, r-cran-hms, r-cran-tibble, r-cran-forcats, r-cran-tidyselect
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-haven
 Vcs-Git: https://salsa.debian.org/edd/r-cran-haven.git
 Homepage: https://cran.r-project.org/package=haven

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-haven package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
